## galapi
Class ItemList

    java.lang.Object
      galapi.ItemList

Direct Known Subclasses:
  AtomicList, AttributeList, NodeList

public class ItemList
extends java.lang.Object

An `ItemList</cose> is a collection of items that can be processed or returned as a result by the functions in the class `Galax`.`

Field Summary
`protected int` `ilist`

Constructor Summary
`` `ItemList()` creates an empty item list
`protected` `ItemList(int il)`

Method Summary
`static ItemList` `cons(Item i, ItemList cdr)` Creates a new list by adding an `Item` at the beginning of an `ItemList`.
`void` `finalize()` Release memory resources related to the `ItemList`.
`protected int` `getNativeItemList()`
`boolean` `isEmpty()`
`Item` `ItemsFirst()`
`ItemList` `ItemsNext()`
`protected static int` `nativeCons(int i, int il)`
`protected static int` `nativeEmptyList()`
`protected static void` `nativeFreeItemList(int il)`
`protected static boolean` `nativeIsEmpty(int il)`
`protected static int` `nativeItemsFirst(int il)`
`protected static int` `nativeItemsNext(int il)`
`protected static java.lang.String` `nativeSerialize(int il)`
`protected void` `setItemList(int il)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ilist

    protected int ilist

Constructor Detail

### ItemList

    public ItemList()
             throws GalapiException

  creates an empty item list

### ItemList

    protected ItemList(int il)

Method Detail

### setItemList

    protected void setItemList(int il)

### getNativeItemList

    protected int getNativeItemList()

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Release memory resources related to the `ItemList`.

  Throws:
    `java.lang.Throwable`

### cons

    public static ItemList cons(Item i,
                                ItemList cdr)
                         throws GalapiException

  Creates a new list by adding an `Item` at the beginning of an `ItemList`.

  Returns:
    the new list obtained
  Throws:
    `GalapiException`

### isEmpty

    public boolean isEmpty()

  Returns:
    true if the list is empty, false otherwise

### ItemsFirst

    public Item ItemsFirst()
                    throws GalapiException

  Returns:
    the first item in the list
  Throws:
    `GalapiException`

### ItemsNext

    public ItemList ItemsNext()
                       throws GalapiException

  Returns:
    the list without its first item
  Throws:
    `GalapiException`

### toString

    public java.lang.String toString()

  Returns:
    a string representation of the item
  Throws:
    `java.lang.RuntimeException` - when there is an internal Galax error

### nativeEmptyList

    protected static int nativeEmptyList()

### nativeFreeItemList

    protected static void nativeFreeItemList(int il)

### nativeCons

    protected static int nativeCons(int i,
                                    int il)

### nativeIsEmpty

    protected static boolean nativeIsEmpty(int il)

### nativeItemsFirst

    protected static int nativeItemsFirst(int il)

### nativeItemsNext

    protected static int nativeItemsNext(int il)

### nativeSerialize

    protected static java.lang.String nativeSerialize(int il)